<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:c="http://java.sun.com/jsp/jstl/core"
      xmlns:p="http://primefaces.org/ui" >
    <ui:composition>
        <f:facet name="header">
            <h:graphicImage name="images/accepted.png" 
                            rendered="#{uiBean.uiVariable.variableStepIsValid}" />
            <h:outputText value="#{titleForVariablesAccordionItem}" />
        </f:facet>
        <f:loadBundle basename="org.inra.ecoinfo.pro.extraction.jsf.accordions.variableAccordionItem" var="variablesAccordionItem"/>
        <h:outputText
            rendered="#{not uiBean.uiVariable.variableStepIsValid}"
            value="#{variablesAccordionItem.PARAM_MSG_WARNING}" />
        <p:dataList value="#{uiBean.uiVariable.variables.entrySet()}"
                    var="variables" type="definition"
                    rendered="#{uiBean.uiVariable.variableStepIsValid}"> 
            <p:panel header="#{variables.key}" >
                <p:dataList value="#{variables.value.entrySet()}"
                    var="variable" type="definition" >
                            <p:commandLink actionListener="#{uiBean.uiVariable.selectVariable(variable.value)}"
                               process="@this"
                               oncomplete="updateVariables()" >
                        <h:outputText value="#{variable.value.variable.affichage} (#{variable.value.localizedName})" />
                        <p:graphicImage name="images/remove_selection.png"  styleClass="buttonAction" />
                    </p:commandLink>
                </p:dataList>
            </p:panel>
        </p:dataList>

    </ui:composition>
</html>